%define	major 1.9
%define	libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	The OpenGL Extension Wrangler Library
Name:		glew
Version:	1.9.0
Release:	%mkrel 1
Group:		Development/C
License:	BSD and MIT
URL:		http://glew.sourceforge.net
Source0:	http://downloads.sourceforge.net/glew/%{name}-%{version}.tgz
BuildRequires:	libx11-devel
BuildRequires:	mesaglu-devel
BuildRequires:	libxi-devel libxmu-devel
BuildRequires:	file

%description
The goal of the OpenGL Extension Wrangler Library (GLEW) is to assist C/C++
OpenGL developers with two tedious tasks: initializing and using extensions
and writing portable applications. GLEW provides an efficient run-time
mechanism to determine whether a certain extension is supported by the
driver or not. OpenGL core and extension functionality is exposed via a
single header file. GLEW currently supports a variety of platforms and
operating systems, including Windows, Linux, Darwin, Irix, and Solaris. 


%package -n %{libname}
Summary:	GLEW library
Group:		System/Libraries

%description -n %{libname}
The goal of the OpenGL Extension Wrangler Library (GLEW) is to assist C/C++
OpenGL developers with two tedious tasks: initializing and using extensions
and writing portable applications. GLEW provides an efficient run-time
mechanism to determine whether a certain extension is supported by the
driver or not. OpenGL core and extension functionality is exposed via a
single header file. GLEW currently supports a variety of platforms and
operating systems, including Windows, Linux, Darwin, Irix, and Solaris.


%package -n %{develname}
Summary:	Development files for using the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1.3 -d
Provides:	%mklibname %{name} 1.3 -d

%description -n	%{develname}
Development files for using the %{name} library.


%prep

%setup -q

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

perl -pi -e "s#-shared -soname#-shared -lc -soname#g" config/Makefile.linux

#fix txt/doc files permissions
chmod 0755 doc
chmod 0644 doc/* README.txt

%build
%make CFLAGS.EXTRA="%{optflags} -fPIC" GLEW_DEST= libdir=%{_libdir} bindir=%{_bindir} includedir=%{_includedir}

%install
make install.all GLEW_DEST="%{buildroot}%{_usr}" bindir=%{buildroot}%{_bindir} libdir=%{buildroot}%{_libdir} includedir=%{buildroot}%{_includedir}/GL
rm -f %{buildroot}%{_libdir}/*.a

chmod 0755 %{buildroot}%{_libdir}/*.so*

%files
%doc README.txt doc
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libGLEW*.so.%{major}*

%files -n %{develname}
%{_includedir}/GL/*.h
%{_libdir}/libGLEW*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Aug 16 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.9.0-1mdv2012.0
+ Revision: 814997
- version update 1.9.0

* Sat Oct 29 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.7.0-2
+ Revision: 707817
- fix
- split out libglewmx from devel pkg

* Wed Oct 26 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.7.0-1
+ Revision: 707337
- updated to upstream release, Makefile patch added

* Fri May 20 2011 Funda Wang <fwang@mandriva.org> 1.5.8-1
+ Revision: 676233
- new version 1.5.8

* Sun May 08 2011 Funda Wang <fwang@mandriva.org> 1.5.7-2
+ Revision: 672402
- fix link

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

* Sat Dec 25 2010 Funda Wang <fwang@mandriva.org> 1.5.7-1mdv2011.0
+ Revision: 624811
- new version 1.5.7

* Wed Dec 22 2010 Funda Wang <fwang@mandriva.org> 1.5.5-2mdv2011.0
+ Revision: 623749
- tighten BR

  + Matthew Dawkins <mattydaw@mandriva.org>
    - properly commented out the patch macro for rpm5 compat

* Sun Jul 25 2010 John Balcaen <mikala@mandriva.org> 1.5.5-1mdv2011.0
+ Revision: 558537
- Update to 1.5.5

* Sun Jan 17 2010 Emmanuel Andry <eandry@mandriva.org> 1.5.2-1mdv2010.1
+ Revision: 492754
- New version 1.5.2
- drop p0, fixed upstream

* Thu Dec 31 2009 Ahmad Samir <ahmadsamir@mandriva.org> 1.5.1-3mdv2010.1
+ Revision: 484592
- fix files/doc permissions

* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-2mdv2010.0
+ Revision: 378528
- rebuild

* Fri Nov 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-1mdv2009.1
+ Revision: 303173
- 1.5.1
- rediffed P0

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.5.0-2mdv2009.0
+ Revision: 264551
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 22 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.5.0-1mdv2009.0
+ Revision: 196683
- Remove 1.4.0 source files.
 Correct bug #35848 (Can not compile enblend due to error in mesa).

* Fri Feb 01 2008 Austin Acton <austin@mandriva.org> 1.5.0-1mdv2008.1
+ Revision: 161240
- new release

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-1mdv2008.1
+ Revision: 106436
- provide patch 0, a various makefile fixes
- spec file clean
- new version
- new devel library policy
- Import glew

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

